diff --git a/src/main/java/net/minecraft/client/render/block/model/SpikesBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java
similarity index 96%
rename from src/main/java/net/minecraft/client/render/block/model/SpikesBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java
index 5b8134fd0..2b1da4313 100644
--- a/src/main/java/net/minecraft/client/render/block/model/SpikesBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelSpikes.java
@@ -4,11 +4,11 @@ import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.SpikesBlock;
+import net.minecraft.core.block.BlockSpikes;
 import net.minecraft.core.util.helper.Side;
 
-public class SpikesBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public SpikesBlockModel(Block block) {
+public class BlockModelSpikes<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelSpikes(Block block) {
         super(block);
     }
 
@@ -25,7 +25,7 @@ public class SpikesBlockModel<T extends Block> extends StandardBlockModel<T> {
         block.setBlockBounds(0.0F, 0.0F, 0.0F, 1.0F, 0.1875F, 1.0F);
         renderStandardBlock(tessellator, block, x, y, z);
 
-        if(SpikesBlock.isSpikesUp(metaData)) {
+        if(BlockSpikes.isSpikesUp(metaData)) {
             float brightness = 1.0f;
             if(LightmapHelper.isLightmapEnabled()) {
             	tessellator.setLightmapCoord(block.getLightmapCoord(renderBlocks.blockAccess, x, y, z));
diff --git a/src/main/java/net/minecraft/client/render/block/model/StairsBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/block/model/StairsBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java
index d920e4fc4..cce007e2a 100644
--- a/src/main/java/net/minecraft/client/render/block/model/StairsBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelStairs.java
@@ -4,16 +4,16 @@ import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.StairsBlock;
+import net.minecraft.core.block.BlockStairs;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class StairsBlockModel<T extends StairsBlock> extends StandardBlockModel<T> {
-    public StairsBlockModel(Block block) {
+public class BlockModelStairs<T extends BlockStairs> extends BlockModelStandard<T> {
+    public BlockModelStairs(Block block) {
         super(block);
-        this.atlasIndices = ((StandardBlockModel<?>)BlockModelDispatcher.getInstance().getDispatch(this.block.modelBlock)).atlasIndices;
+        this.atlasIndices = ((BlockModelStandard<?>)BlockModelDispatcher.getInstance().getDispatch(this.block.modelBlock)).atlasIndices;
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/render/block/model/StairsPaintedBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelStairsPainted.java
similarity index 71%
rename from src/main/java/net/minecraft/client/render/block/model/StairsPaintedBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelStairsPainted.java
index 257979d71..df02328aa 100644
--- a/src/main/java/net/minecraft/client/render/block/model/StairsPaintedBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelStairsPainted.java
@@ -2,19 +2,19 @@ package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.StairsBlock;
+import net.minecraft.core.block.BlockStairs;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class StairsPaintedBlockModel<T extends StairsBlock> extends StairsBlockModel<T> {
-    public StairsPaintedBlockModel(Block block) {
+public class BlockModelStairsPainted<T extends BlockStairs> extends BlockModelStairs<T> {
+    public BlockModelStairsPainted(Block block) {
         super(block);
     }
 
     @Override
     public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int meta) {
         meta = meta >> 4;
-        return PlanksPaintedBlockModel.texCoords[meta & 0x0F];
+        return BlockModelPlanksPainted.texCoords[meta & 0x0F];
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/render/block/model/StandardBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
similarity index 94%
rename from src/main/java/net/minecraft/client/render/block/model/StandardBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
index 0925fa221..dd8670a08 100644
--- a/src/main/java/net/minecraft/client/render/block/model/StandardBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelStandard.java
@@ -11,14 +11,14 @@ import net.minecraft.core.world.WorldSource;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class StandardBlockModel<T extends Block> extends BlockModel<T>{
+public class BlockModelStandard<T extends Block> extends BlockModel<T>{
     public static final IconCoordinate BLOCK_TEXTURE_MISSING = TextureRegistry.getTexture("minecraft:block/texture_missing");
     public static final IconCoordinate BLOCK_TEXTURE_UNASSIGNED = TextureRegistry.getTexture("minecraft:block/texture_unassigned");
     public IconCoordinate[] atlasIndices = new IconCoordinate[]{BLOCK_TEXTURE_UNASSIGNED, BLOCK_TEXTURE_UNASSIGNED, BLOCK_TEXTURE_UNASSIGNED, BLOCK_TEXTURE_UNASSIGNED, BLOCK_TEXTURE_UNASSIGNED, BLOCK_TEXTURE_UNASSIGNED};
     public double[] itemRenderBounds = null;
     public IconCoordinate overbrightTexture = null;
 
-    public StandardBlockModel(Block block) {
+    public BlockModelStandard(Block block) {
         super(block);
     }
 
@@ -204,26 +204,26 @@ public class StandardBlockModel<T extends Block> extends BlockModel<T>{
             itemRenderBounds[5]);
         }
     }
-    public StandardBlockModel<T> withCustomItemBounds(double minX, double minY, double minZ, double maxX, double maxY, double maxZ){
+    public BlockModelStandard<T> withCustomItemBounds(double minX, double minY, double minZ, double maxX, double maxY, double maxZ){
         this.itemRenderBounds = new double[]{minX, minY, minZ, maxX, maxY, maxZ};
         return this;
     }
-    public StandardBlockModel<T> withOverbrightTexture(String texture)
+    public BlockModelStandard<T> withOverbrightTexture(String texture)
     {
         this.hasOverbright = true;
         this.overbrightTexture = TextureRegistry.getTexture(texture);
         return this;
     }
-    public StandardBlockModel<T> withTextures(String texture){
+    public BlockModelStandard<T> withTextures(String texture){
         return withTextures(texture, texture, texture);
     }
-    public StandardBlockModel<T> withTextures(String textureTopBottom, String textureSides){
+    public BlockModelStandard<T> withTextures(String textureTopBottom, String textureSides){
         return withTextures(textureTopBottom, textureTopBottom, textureSides);
     }
-    public StandardBlockModel<T> withTextures(String textureTop, String textureBottom, String textureSides){
+    public BlockModelStandard<T> withTextures(String textureTop, String textureBottom, String textureSides){
         return withTextures(textureTop, textureBottom, textureSides, textureSides, textureSides, textureSides);
     }
-    public StandardBlockModel<T> withTextures(String textureTop, String textureBottom, String textureNorth, String textureEast, String textureSouth, String textureWest){
+    public BlockModelStandard<T> withTextures(String textureTop, String textureBottom, String textureNorth, String textureEast, String textureSouth, String textureWest){
         atlasIndices[Side.TOP.getId()] = TextureRegistry.getTexture(textureTop);
         atlasIndices[Side.BOTTOM.getId()] = TextureRegistry.getTexture(textureBottom);
         atlasIndices[Side.NORTH.getId()] = TextureRegistry.getTexture(textureNorth);
diff --git a/src/main/java/net/minecraft/client/render/block/model/MossyStoneBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelStoneMossy.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/block/model/MossyStoneBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelStoneMossy.java
index 2d267ba97..c75156492 100644
--- a/src/main/java/net/minecraft/client/render/block/model/MossyStoneBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelStoneMossy.java
@@ -8,9 +8,9 @@ import net.minecraft.core.block.Block;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class MossyStoneBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelStoneMossy<T extends Block> extends BlockModelStandard<T> {
     protected IconCoordinate mossOverlay;
-    public MossyStoneBlockModel(Block block) {
+    public BlockModelStoneMossy(Block block) {
         super(block);
         mossOverlay = TextureRegistry.getTexture("minecraft:block/moss_overlay");
     }
diff --git a/src/main/java/net/minecraft/client/render/block/model/TorchBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/block/model/TorchBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java
index 8bf27d21a..c54de360f 100644
--- a/src/main/java/net/minecraft/client/render/block/model/TorchBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelTorch.java
@@ -4,11 +4,11 @@ import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.TorchBlock;
+import net.minecraft.core.block.BlockTorch;
 import net.minecraft.core.util.helper.Side;
 
-public class TorchBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public TorchBlockModel(Block block) {
+public class BlockModelTorch<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelTorch(Block block) {
         super(block);
     }
 
@@ -28,18 +28,18 @@ public class TorchBlockModel<T extends Block> extends StandardBlockModel<T> {
         double d = 0.4;
         double d1 = 0.5D - d;
         double d2 = 0.2;
-        int direction = renderBlocks.blockAccess.getBlockMetadata(x, y, z) & TorchBlock.MASK_DIRECTION;
+        int direction = renderBlocks.blockAccess.getBlockMetadata(x, y, z) & BlockTorch.MASK_DIRECTION;
         switch (direction) {
-            case TorchBlock.SIDE_WEST:
+            case BlockTorch.SIDE_WEST:
                 renderTorchAtAngle(tessellator, (double) x - d1, (double) y + d2, z, -d, 0.0D);
                 break;
-            case TorchBlock.SIDE_EAST:
+            case BlockTorch.SIDE_EAST:
                 renderTorchAtAngle(tessellator, (double) x + d1, (double) y + d2, z, d, 0.0D);
                 break;
-            case TorchBlock.SIDE_NORTH:
+            case BlockTorch.SIDE_NORTH:
                 renderTorchAtAngle(tessellator, x, (double) y + d2, (double) z - d1, 0.0D, -d);
                 break;
-            case TorchBlock.SIDE_SOUTH:
+            case BlockTorch.SIDE_SOUTH:
                 renderTorchAtAngle(tessellator, x, (double) y + d2, (double) z + d1, 0.0D, d);
                 break;
             default:
diff --git a/src/main/java/net/minecraft/client/render/block/model/TorchRedstoneBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelTorchRedstone.java
similarity index 82%
rename from src/main/java/net/minecraft/client/render/block/model/TorchRedstoneBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelTorchRedstone.java
index de07d508e..cae4c94ba 100644
--- a/src/main/java/net/minecraft/client/render/block/model/TorchRedstoneBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelTorchRedstone.java
@@ -3,13 +3,13 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.RedstoneTorchBlock;
+import net.minecraft.core.block.BlockTorchRedstone;
 import net.minecraft.core.util.helper.Side;
 
-public class TorchRedstoneBlockModel extends TorchBlockModel<RedstoneTorchBlock> {
+public class BlockModelTorchRedstone extends BlockModelTorch<BlockTorchRedstone> {
     private static final BlockModel<Block> redstoneWire = BlockModelDispatcher.getInstance().getDispatch(Blocks.WIRE_REDSTONE);
 
-    public TorchRedstoneBlockModel(Block block) {
+    public BlockModelTorchRedstone(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/TransparentBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelTransparent.java
similarity index 80%
rename from src/main/java/net/minecraft/client/render/block/model/TransparentBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelTransparent.java
index a84a0b405..b0a2d9837 100644
--- a/src/main/java/net/minecraft/client/render/block/model/TransparentBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelTransparent.java
@@ -3,9 +3,9 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.world.WorldSource;
 
-public class TransparentBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelTransparent<T extends Block> extends BlockModelStandard<T> {
     private final boolean renderInside;
-    public TransparentBlockModel(Block block, boolean renderInside){
+    public BlockModelTransparent(Block block, boolean renderInside){
         super(block);
         this.renderInside = renderInside;
     }
diff --git a/src/main/java/net/minecraft/client/render/block/model/TrapDoorBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java
similarity index 89%
rename from src/main/java/net/minecraft/client/render/block/model/TrapDoorBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java
index 91d6bef12..0fccd7420 100644
--- a/src/main/java/net/minecraft/client/render/block/model/TrapDoorBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoor.java
@@ -3,15 +3,15 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.TrapDoorBlock;
+import net.minecraft.core.block.BlockTrapDoor;
 import net.minecraft.core.util.helper.Axis;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.helper.Sides;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class TrapDoorBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public TrapDoorBlockModel(Block block) {
+public class BlockModelTrapDoor<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelTrapDoor(Block block) {
         super(block);
         float offset = 0.1875F;
         withCustomItemBounds(0.0F, 0.0F, 0.0F, 1.0F, offset, 1.0F);
@@ -21,7 +21,7 @@ public class TrapDoorBlockModel<T extends Block> extends StandardBlockModel<T> {
     public boolean render(Tessellator tessellator, int x, int y, int z) {
         block.setBlockBoundsBasedOnState(renderBlocks.blockAccess, x, y, z);
         int metadata = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        boolean isUp = TrapDoorBlock.isTrapdoorOpen(metadata);
+        boolean isUp = BlockTrapDoor.isTrapdoorOpen(metadata);
 
         if(isUp) {
             switch (metadata & 3) {
@@ -55,7 +55,7 @@ public class TrapDoorBlockModel<T extends Block> extends StandardBlockModel<T> {
             }
         }
         else{
-            if(TrapDoorBlock.isUpperHalf(metadata)){
+            if(BlockTrapDoor.isUpperHalf(metadata)){
                 renderBlocks.uvRotateSouth = 3;
                 renderBlocks.uvRotateNorth = 3;
                 renderBlocks.uvRotateEast = 3;
@@ -75,7 +75,7 @@ public class TrapDoorBlockModel<T extends Block> extends StandardBlockModel<T> {
     public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int data)
     {
         int orientation = data & 3;
-        if(TrapDoorBlock.isTrapdoorOpen(data)) {
+        if(BlockTrapDoor.isTrapdoorOpen(data)) {
             int index = Sides.orientationLookUpTrapdoorOpen[6 * orientation + side.getId()];
             return atlasIndices[index];
         } else {
diff --git a/src/main/java/net/minecraft/client/render/block/model/TrapDoorPaintedBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoorPainted.java
similarity index 86%
rename from src/main/java/net/minecraft/client/render/block/model/TrapDoorPaintedBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoorPainted.java
index 5b5fc60b3..04b151c36 100644
--- a/src/main/java/net/minecraft/client/render/block/model/TrapDoorPaintedBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelTrapDoorPainted.java
@@ -3,13 +3,13 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.TrapDoorBlock;
+import net.minecraft.core.block.BlockTrapDoor;
 import net.minecraft.core.util.helper.Axis;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.helper.Sides;
 
-public class TrapDoorPaintedBlockModel<T extends Block> extends TrapDoorBlockModel<T> {
+public class BlockModelTrapDoorPainted<T extends Block> extends BlockModelTrapDoor<T> {
     public static final IconCoordinate[] topTextures = new IconCoordinate[DyeColor.COLOR_AMOUNT];
     public static final IconCoordinate[] sideTextures = new IconCoordinate[DyeColor.COLOR_AMOUNT];
 
@@ -19,7 +19,7 @@ public class TrapDoorPaintedBlockModel<T extends Block> extends TrapDoorBlockMod
             sideTextures[c.blockMeta] = TextureRegistry.getTexture("minecraft:block/trapdoor/planks_" + c.colorID + "/side");
         }
     }
-    public TrapDoorPaintedBlockModel(Block block) {
+    public BlockModelTrapDoorPainted(Block block) {
         super(block);
     }
     @Override
@@ -27,7 +27,7 @@ public class TrapDoorPaintedBlockModel<T extends Block> extends TrapDoorBlockMod
     {
         int color = (data >> 4) & DyeColor.MASK_COLOR;
         int orientation = data & 3;
-        if(TrapDoorBlock.isTrapdoorOpen(data)) {
+        if(BlockTrapDoor.isTrapdoorOpen(data)) {
             int index = Sides.orientationLookUpTrapdoorOpen[6 * orientation + side.getId()];
             if (index < 2) return topTextures[color];
             return sideTextures[color];
diff --git a/src/main/java/net/minecraft/client/render/block/model/VeryRotatableBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelVeryRotatable.java
similarity index 88%
rename from src/main/java/net/minecraft/client/render/block/model/VeryRotatableBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelVeryRotatable.java
index 260bfe43a..a7bcd01bf 100644
--- a/src/main/java/net/minecraft/client/render/block/model/VeryRotatableBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelVeryRotatable.java
@@ -3,13 +3,13 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.VeryRotatableEntityBlock;
+import net.minecraft.core.block.BlockTileEntityVeryRotatable;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
 import org.jetbrains.annotations.Nullable;
 
-public class VeryRotatableBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public VeryRotatableBlockModel(Block block) {
+public class BlockModelVeryRotatable<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelVeryRotatable(Block block) {
         super(block);
     }
 
@@ -17,7 +17,7 @@ public class VeryRotatableBlockModel<T extends Block> extends StandardBlockModel
     public boolean render(Tessellator tessellator, int x, int y, int z) {
         block.setBlockBoundsBasedOnState(renderBlocks.blockAccess, x, y, z);
         final int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        final Direction dir = VeryRotatableEntityBlock.metaToDirection(meta);
+        final Direction dir = BlockTileEntityVeryRotatable.metaToDirection(meta);
 
         if (dir == Direction.DOWN || dir == Direction.UP) {
             renderBlocks.uvRotateSouth = 1;
@@ -42,7 +42,7 @@ public class VeryRotatableBlockModel<T extends Block> extends StandardBlockModel
     }
 
     public int getTextureIndex(Side side, int data) {
-        final Direction dir = VeryRotatableEntityBlock.metaToDirection(data);
+        final Direction dir = BlockTileEntityVeryRotatable.metaToDirection(data);
         switch (dir) { // I love brute forcing fixes so much :3
             case SOUTH:
                 return side.getId();
diff --git a/src/main/java/net/minecraft/client/render/block/model/RedstoneWireBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelWireRedstone.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/block/model/RedstoneWireBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelWireRedstone.java
index 74720ad25..99fb52b9f 100644
--- a/src/main/java/net/minecraft/client/render/block/model/RedstoneWireBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelWireRedstone.java
@@ -6,14 +6,14 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.RedstoneWireBlock;
+import net.minecraft.core.block.BlockWireRedstone;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.util.helper.Color;
 
-public class RedstoneWireBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelWireRedstone<T extends Block> extends BlockModelStandard<T> {
     protected final IconCoordinate wireStraight = TextureRegistry.getTexture("minecraft:block/wire_redstone_straight");
     protected final IconCoordinate wireCross = TextureRegistry.getTexture("minecraft:block/wire_redstone_cross");
-    public RedstoneWireBlockModel(Block block) {
+    public BlockModelWireRedstone(Block block) {
         super(block);
         withTextures("minecraft:block/wire_redstone_cross");
     }
@@ -51,32 +51,32 @@ public class RedstoneWireBlockModel<T extends Block> extends StandardBlockModel<
         float blue = color.getBlue() / 255.0f;
 
         tessellator.setColorOpaque_F(brightness * red, brightness * green, brightness * blue);
-        boolean west = RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x - 1, y, z, 1) || !renderBlocks.blockAccess.isBlockNormalCube(x - 1, y, z) && RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x - 1, y - 1, z, -1);
-        boolean east = RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x + 1, y, z, 3) || !renderBlocks.blockAccess.isBlockNormalCube(x + 1, y, z) && RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x + 1, y - 1, z, -1);
-        boolean north = RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x, y, z - 1, 2) || !renderBlocks.blockAccess.isBlockNormalCube(x, y, z - 1) && RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x, y - 1, z - 1, -1);
-        boolean south = RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x, y, z + 1, 0) || !renderBlocks.blockAccess.isBlockNormalCube(x, y, z + 1) && RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x, y - 1, z + 1, -1);
+        boolean west = BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x - 1, y, z, 1) || !renderBlocks.blockAccess.isBlockNormalCube(x - 1, y, z) && BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x - 1, y - 1, z, -1);
+        boolean east = BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x + 1, y, z, 3) || !renderBlocks.blockAccess.isBlockNormalCube(x + 1, y, z) && BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x + 1, y - 1, z, -1);
+        boolean north = BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x, y, z - 1, 2) || !renderBlocks.blockAccess.isBlockNormalCube(x, y, z - 1) && BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x, y - 1, z - 1, -1);
+        boolean south = BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x, y, z + 1, 0) || !renderBlocks.blockAccess.isBlockNormalCube(x, y, z + 1) && BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x, y - 1, z + 1, -1);
         boolean westUp = false;
         boolean eastUp = false;
         boolean northUp = false;
         boolean southUp = false;
         if(!renderBlocks.blockAccess.isBlockOpaqueCube(x, y + 1, z))
         {
-            if(renderBlocks.blockAccess.isBlockNormalCube(x - 1, y, z) && RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x - 1, y + 1, z, -1))
+            if(renderBlocks.blockAccess.isBlockNormalCube(x - 1, y, z) && BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x - 1, y + 1, z, -1))
             {
                 west = true;
                 westUp = true;
             }
-            if(renderBlocks.blockAccess.isBlockNormalCube(x + 1, y, z) && RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x + 1, y + 1, z, -1))
+            if(renderBlocks.blockAccess.isBlockNormalCube(x + 1, y, z) && BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x + 1, y + 1, z, -1))
             {
                 east = true;
                 eastUp = true;
             }
-            if(renderBlocks.blockAccess.isBlockNormalCube(x, y, z - 1) && RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x, y + 1, z - 1, -1))
+            if(renderBlocks.blockAccess.isBlockNormalCube(x, y, z - 1) && BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x, y + 1, z - 1, -1))
             {
                 north = true;
                 northUp = true;
             }
-            if(renderBlocks.blockAccess.isBlockNormalCube(x, y, z + 1) && RedstoneWireBlock.shouldConnectTo(renderBlocks.blockAccess, x, y + 1, z + 1, -1))
+            if(renderBlocks.blockAccess.isBlockNormalCube(x, y, z + 1) && BlockWireRedstone.shouldConnectTo(renderBlocks.blockAccess, x, y + 1, z + 1, -1))
             {
                 south = true;
                 southUp = true;
diff --git a/src/main/java/net/minecraft/client/render/block/model/WoolBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelWool.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/block/model/WoolBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelWool.java
index 12f284f16..f450baf72 100644
--- a/src/main/java/net/minecraft/client/render/block/model/WoolBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelWool.java
@@ -6,7 +6,7 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
 
-public class WoolBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelWool<T extends Block> extends BlockModelStandard<T> {
     public static final IconCoordinate[] texCoords = new IconCoordinate[DyeColor.COLOR_AMOUNT];
 
     static {
@@ -14,7 +14,7 @@ public class WoolBlockModel<T extends Block> extends StandardBlockModel<T> {
             texCoords[c.blockMeta] = TextureRegistry.getTexture("minecraft:block/wool/" + c.colorID);
         }
     }
-    public WoolBlockModel(Block block) {
+    public BlockModelWool(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/blockentity/BlockEntityRenderer.java b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRenderer.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/blockentity/BlockEntityRenderer.java
rename to src/main/java/net/minecraft/client/render/blockentity/TileEntityRenderer.java
index 8131e23cd..a85f63e74 100644
--- a/src/main/java/net/minecraft/client/render/blockentity/BlockEntityRenderer.java
+++ b/src/main/java/net/minecraft/client/render/blockentity/TileEntityRenderer.java
@@ -4,13 +4,13 @@ import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.BlockEntityRenderDispatcher;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.world.World;
 
-public abstract class BlockEntityRenderer<T extends BlockEntity>
+public abstract class TileEntityRenderer<T extends TileEntity>
 {
 
-    public BlockEntityRenderer()
+    public TileEntityRenderer()
     {
     }
 
